import App from './layouts/Base.svelte'
import AppLogin from './pages/site/Login.svelte'
import { storeUsuario } from './stores/usuario';
import { getInfoToken } from './services/auth';

let app;

async function begin() {
  try {
    const data = await getInfoToken()
    storeUsuario.set(data)
    app = new App({ target: document.getElementById('app') })
  } catch (error) {
    console.log(error.detail || error)
    app = new AppLogin({ target: document.getElementById('app') })
  }
}

begin();

export default app
